---
updatedAt: 2025-07-02T21:19:31.000Z
agentTools:
  siteIndex: https://docs.readme.com/llms.txt
  siteSearch: https://docs.readme.com/agentSearch?query=term1%20term2
  projectIndex: https://docs.readme.com/main/llms.txt
  projectSearch: https://docs.readme.com/main/agentSearch?query=term1%20term2
---

# Limiting API Results

The ReadMe API uses pagination on endpoints that return collections of data.

* [Get your API keys](https://docs.readme.com/main/reference/getapikeys)
* [Get all changelog entries](https://docs.readme.com/main/reference/getchangelogs-1)
* [Get uploaded images](https://docs.readme.com/main/reference/getimages)

All pagination data will be returned within a `paging` object in your response:

```json
{
  "total": 5,
  "page": 2,
  "per_page": 2,
  "paging": {
    "next": "/images?page=3&per_page=2",
    "previous": "/images?page=1&per_page=2",
    "first": "/images?page=1&per_page=2",
    "last": "/images?page=3&per_page=2"
  },
  "data": [
    {
      /* image object */
    },
    {
      /* image object */
    }
  ]
}
```

* `next` is the page of content immediately following the current page. If the current page is the last page, this will be `null`.
* `previous` is the page of content immediately before the current page. If the current page is the first page, this will be `null`.
* `first` is the very first page of content. This will always have a value.
* `last` is the very last page of content. This will always have a value.

Requests that return multiple resources will be paginated to 10 items by default. If you would like to different pages you can utilize the `page` query parameter. You can also customize your page size, up to 100, with the `per_page` query parameter.

# Sibling pages

* [Intro to the ReadMe API](https://docs.readme.com/main/reference/intro-to-the-readme-api.md)
* [API Keys](https://docs.readme.com/main/reference/api-keys.md)
* [API Reference](https://docs.readme.com/main/reference/api-reference.md)
* [APIs](https://docs.readme.com/main/reference/apis.md)
* [Branches](https://docs.readme.com/main/reference/branches.md)
* [Categories](https://docs.readme.com/main/reference/categories.md)
* [Changelog](https://docs.readme.com/main/reference/changelog-2.md)
* [Custom Pages](https://docs.readme.com/main/reference/custom-pages.md)
* [Discuss](https://docs.readme.com/main/reference/discuss.md)
* [Fonts](https://docs.readme.com/main/reference/fonts.md)
* [Guides](https://docs.readme.com/main/reference/guides.md)
* [Images](https://docs.readme.com/main/reference/images.md)
* [IP Addresses](https://docs.readme.com/main/reference/ip-addresses.md)
* [Owlbot AI](https://docs.readme.com/main/reference/owlbot-ai.md)
* [Projects](https://docs.readme.com/main/reference/projects.md)
* [Recipes](https://docs.readme.com/main/reference/recipes.md)
* [Search](https://docs.readme.com/main/reference/search-2.md)